Name:           libdivide
Version:        2.0
Release:        1%{?dist}
Summary:        Optimized integer division

License:        zlib or Boost
URL:            http://libdivide.com/
Source0:        https://github.com/ridiculousfish/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  cmake
BuildRequires:  gcc-c++

Provides:       libdivide-static = %{version}-%{release}

%global _description %{expand:
This package contains a header-only C/C++ library for optimizing integer
division.  Integer division is one of the slowest instructions on most
CPUs, e.g. on current x64 CPUs a 64-bit integer division has a latency
of up to 90 clock cycles whereas a multiplication has a latency of only
3 clock cycles.  libdivide allows you to replace expensive integer
division instructions by a sequence of shift, add and multiply
instructions that will calculate the integer division much faster.

On current CPUs you can get a speedup of up to 10x for 64-bit integer
division and a speedup of up to to 5x for 32-bit integer division when
using libdivide.  libdivide also supports SSE2, AVX2 and AVX512 vector
division which provides an even larger speedup.}

%description %_description

%package        devel
Summary:        Development files for %{name}

%description    devel %_description

%prep
%autosetup

%build
%cmake .
%make_build

%install
%make_install

%check
make test

%files devel
%doc CHANGELOG.md README.md doc
%license LICENSE.txt
%{_includedir}/%{name}.h

%changelog
* Mon Sep 16 2019 Jerry James <loganjerry@gmail.com> - 2.0-1
- Initial RPM
